package eu.jonahbauer.chat.bot.pizza.model.table;

import eu.jonahbauer.chat.bot.database.Entity;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

import java.util.Objects;

public record Restaurant(
        long id,
        @NotNull String name,
        @NotNull String city,
        @Nullable String phone,
        @Nullable String notes
) implements Entity<Restaurant> {
    public Restaurant {
        Objects.requireNonNull(name);
        Objects.requireNonNull(city);
    }
}
