package eu.jonahbauer.chat.bot.impl;

import eu.jonahbauer.chat.bot.api.ChatBot;
import lombok.experimental.UtilityClass;
import org.jetbrains.annotations.NotNull;

import java.util.function.Supplier;

@UtilityClass
public class ChatBotFactoryAccess {
    public static <T extends ChatBot> @NotNull ChatBotFactory<T> newInstance(@NotNull Class<T> type, @NotNull Supplier<T> supplier) {
        return new ChatBotFactory<>(type, supplier);
    }
}
