package eu.jonahbauer.chat.bot.test;

import eu.jonahbauer.chat.bot.api.ChatBot;
import eu.jonahbauer.chat.bot.api.Message;
import eu.jonahbauer.chat.bot.config.BotConfig;
import lombok.Setter;
import org.jetbrains.annotations.NotNull;

@Setter
public class TestChatBot extends ChatBot {
    public static final BotConfig.Key.OfString TEST = BotConfig.Key.ofString("test");
    public static final BotConfig DEFAULT_CONFIG = BotConfig.builder()
            .name("TestBot").value(TEST, "test")
            .build();

    private String message;

    public TestChatBot() {
        super(DEFAULT_CONFIG);
    }

    @Override
    protected void onMessage(Message.@NotNull Post message) {
        post(this.message);
    }
}