INSERT INTO "restaurant"("name", "city", "phone", "notes")
VALUES ('Hell''s Pizza', 'Sonthofen', '08321 7881930', '2023');

WITH temp(id) AS (SELECT last_insert_rowid())
INSERT INTO "pizza"("restaurant_id", "number", "name", "ingredients", "price")
SELECT * FROM temp CROSS JOIN (
VALUES (10, 'Pizzabrot', 'mit Tomaten & Knoblauch', 6.50),
       (11, 'Margherita', 'mit Tomaten, Mozzarella & Basilikum', 9.50),
       (12, 'Salami', 'mit Tomaten, Mozzarella & Salami (gegen Aufpreis mit Rindersalami)', 10.00),
       (13, 'Prosciutto', 'mit Tomaten, Mozzarella & Schinken', 10.00),
       (14, 'Salsiccia', 'mit Tomaten, Mozzarella & scharfer Salami', 9.50),
       (15, 'Funghi', 'mit Tomaten, Mozzarella & Champignons', 9.50),
       (16, 'Romana', 'mit Tomaten, Mozzarella, Salami & Champignons', 10.50),
       (17, 'Hawaii', 'mit Tomaten, Mozzarella, Schinken & Ananas', 10.50),
       (18, 'Regina', 'mit Tomaten, Mozzarella, Schinken & Champignons', 10.50),
       (19, 'Toscana', 'mit Tomaten, Mozzarella, Salami, Champignons & Peperoni', 11.00),
       (20, 'Tonno', 'mit Tomaten, Mozzarella, Thunfisch, Zwiebeln & Oliven', 11.00),
       (21, 'Quattro Formaggi', 'mit Tomaten & vier Käsesorten', 10.50),
       (22, 'Calzone', 'mit Tomaten, Mozzarella, Schinken & Champignons', 10.50),
       (24, 'Diavolo', 'mit Tomaten, Mozzarella, scharfer Salami, Peperoni & Oliven', 11.00),
       (25, 'Rucoletta', 'mit Tomaten, Mozzarella, Rucola, Tomatenstücken & Parmesan', 11.00),
       (26, 'Quattro Stagioni', 'mit Tomaten, Mozzarella, Schinken, Salami, Champignons, Artischocken, Sardellen & Oliven', 11.00),
       (27, 'Vegana', 'mit Tomaten & verschiedenem Gemüse', 10.50),
       (28, 'Siciliana', 'mit Tomaten, Mozzarella, Peperoni, Kapern, Sardellen, Oliven & Knoblauch', 10.00),
       (29, 'Rustica', 'mit Tomaten, Mozzarella, Speck, Champignons, Gorgonzola & Knoblauch', 11.00),
       (30, 'Caprese', 'mit Tomaten, Mozzarella, Tomatenscheiben & Basilikum', 11.00),
       (31, 'Calabria', 'mit Tomaten, Mozzarella, scharfer Salami, Zwiebeln & original Schafskäse', 12.00),
       (32, 'Verdura', 'mit Tomaten, Mozzarella, gegrilltem Gemüse & Knoblauch', 12.00),
       (33, 'Mare', 'mit Tomaten, Meeresfrüchten & Knoblauch', 13.00),
       (35, 'Mafiosa', 'mit Tomaten, Mozzarella, Speck, scharfer Salami, Champignons, Spinat & Peperoni', 12.00),
       (36, 'Reale', 'mit Tomaten, Mozzarella, original Parmaschinken, Rucola & Parmesan', 13.90),
       (38, 'Mediterranea', 'mit Tomatenscheiben, Mozzarella, Thunfisch, Kapern & Rucola', 12.00),
       (39, 'Tricolore', 'mit Büffel-Mozzarella, Tomatenscheiben & Rucola-Pesto', 13.00),
       (40, 'Alfio Spezial', 'mit Mozzarella, Tomatenstücken, Salsiccia, Zwiebeln, Parmesan, Oliven & Basilikum', 12.00),
       (41, 'Allgäuer', 'mit Tomaten, Mozzarella, Speck, Bergkäse, Röstzwiebeln & Knoblauch', 11.50),
       (42, 'Buon Gustaio', 'mit Tomaten, Mozzarella, Spinat, Gorgonzola & Knoblauch', 11.00),
       (44, 'Mista', 'mit Tomaten, Mozzarella, Schinken, Salami, Pilzen & Thunfisch', 11.00)
);